Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/climb_hq_mod.F90	(revision 5139)
@@ -56,4 +56,5 @@
 #endif               
             )
+  USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 #ifdef ISOVERIF
 USE isotopes_mod, ONLY: iso_eau,iso_HDO
@@ -126,6 +127,5 @@
 !****************************************************************************************
     INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"    
-    
+
 #ifdef ISO
 #ifdef ISOVERIF
@@ -498,4 +498,5 @@
        )
 
+  USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 #ifdef ISOVERIF
 USE infotrac_phy, ONLY: nzone
@@ -555,6 +556,4 @@
 !****************************************************************************************
     INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"       
-
 !****************************************************************************************
 ! 1) 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/compbl.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/compbl.h	(revision 5137)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/compbl.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5139)
@@ -3588,4 +3588,5 @@
   USE lmdz_print_control, ONLY: prt_level, lunout
   USE lmdz_abort_physic, ONLY: abort_physic
+  USE lmdz_nuage_params
 #ifdef ISO
     USE infotrac_phy, ONLY: ntraciso=>ntiso
@@ -3616,5 +3617,4 @@
   include "cv3param.h"
   include "cvflag.h"
-  include "nuage.h"
 
 !inputs:
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/flux_arp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/flux_arp.h	(revision 5137)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/flux_arp.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_histREGDYN.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_histREGDYN.h	(revision 5137)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/ini_histREGDYN.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_histday_seri.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/ini_histday_seri.h	(revision 5137)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/ini_histday_seri.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5139)
@@ -15720,4 +15720,5 @@
         iso_HTO
         USE lmdz_clesphys
+        USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 #ifdef ISOVERIF
   USE isotopes_verif_mod
@@ -15728,5 +15729,4 @@
 
  include "dimsoil.h"
- include "compbl.h"
 
 !#ifdef ISOVERIF
@@ -15894,4 +15894,5 @@
 &       Rdefault,iso_O17,ridicule,ridicule_qsol
 USE lmdz_clesphys
+USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 #ifdef ISOVERIF
   USE isotopes_verif_mod
@@ -15903,5 +15904,4 @@
 
  include "dimsoil.h"
- include "compbl.h"
 
         ! arguments  
@@ -16275,8 +16275,9 @@
 #endif
 USE lmdz_clesphys
+USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+
    IMPLICIT NONE
 
  include "dimsoil.h"
- include "compbl.h"
 
    REAL, INTENT(IN) ::             snow     (klon,nbsrf)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_compbl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_compbl.f90	(revision 5139)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_compbl.f90	(revision 5139)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_compbl.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_flux_arp.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_flux_arp.f90	(revision 5139)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_flux_arp.f90	(revision 5139)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_flux_arp.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_nuage_params.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_nuage_params.f90	(revision 5139)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_nuage_params.f90	(revision 5139)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_nuage_params.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/nuage.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/nuage.h	(revision 5137)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../phylmd/nuage.h
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5139)
@@ -53,4 +53,5 @@
   USE lmdz_alpale
   USE lmdz_clesphys
+  USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 #ifdef ISO
   USE infotrac_phy, ONLY: niso
@@ -68,5 +69,4 @@
   !======================================================================
   include "dimsoil.h"
-  include "compbl.h"
   include "YOMCST.h"
   !======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5139)
@@ -54,9 +54,9 @@
   USE lmdz_alpale
   USE lmdz_clesphys
+  USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
   IMPLICIT NONE
 
   include "dimsoil.h"
-  include "compbl.h"
   !======================================================================
   CHARACTER*(*) fichnom
@@ -511,4 +511,5 @@
       USE lmdz_alpale
       USE lmdz_clesphys
+      USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
         IMPLICIT NONE
@@ -517,5 +518,4 @@
 
  include "dimsoil.h"
- include "compbl.h"
       ! inputs
       !REAL xtsol(niso,klon)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5139)
@@ -420,4 +420,6 @@
        USE lmdz_alpale
        USE lmdz_clesphys
+       USE lmdz_nuage_params
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     IMPLICIT NONE
@@ -1270,6 +1272,4 @@
     !IM 100106 BEG : pouvoir sortir les ctes de la physique
     include "conema3.h"
-    include "nuage.h"
-    include "compbl.h"
     !IM 100106 END : pouvoir sortir les ctes de la physique
 
